Package eu.mhsl.minenet.minigames.instance.game.minigame.types.stickfight

# Class Stickfight

java.lang.Object
net.minestom.server.instance.Instance
net.minestom.server.instance.InstanceContainer
eu.mhsl.minenet.minigames.instance.MineNetInstance
eu.mhsl.minenet.minigames.instance.game.Game
eu.mhsl.minenet.minigames.instance.game.minigame.Minigame
eu.mhsl.minenet.minigames.instance.game.minigame.types.stickfight.Stickfight

All Implemented Interfaces:
  `Spawnable`, `net.kyori.adventure.audience.Audience`, `net.kyori.adventure.audience.ForwardingAudience`, `net.kyori.adventure.pointer.Pointered`, `net.minestom.server.adventure.audience.PacketGroupingAudience`, `net.minestom.server.event.EventHandler<net.minestom.server.event.trait.InstanceEvent>`, `net.minestom.server.instance.block.Block.Getter`, `net.minestom.server.instance.block.Block.Setter`, `net.minestom.server.snapshot.Snapshotable`, `net.minestom.server.tag.Taggable`, `net.minestom.server.tag.TagReadable`, `net.minestom.server.tag.TagWritable`, `net.minestom.server.Tickable`, `net.minestom.server.timer.Schedulable`

public class Stickfight extends Minigame

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface net.minestom.server.instance.block.Block.Getter

  `net.minestom.server.instance.block.Block.Getter.Condition`

  ## Nested classes/interfaces inherited from interface net.kyori.adventure.audience.ForwardingAudience

  `net.kyori.adventure.audience.ForwardingAudience.Single`

- ## Field Summary

  ### Fields inherited from class eu.mhsl.minenet.minigames.instance.game.Game

  `isBeforeBeginning, isRunning, logger, rnd`

  ### Fields inherited from class net.minestom.server.instance.InstanceContainer

  `srcInstance`

  ### Fields inherited from class net.minestom.server.instance.Instance

  `uniqueId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stickfight()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `net.minestom.server.coordinate.Pos`
  `getSpawn()`
  `protected void`
  `onLoad(CompletableFuture<Void> callback)`
  `protected void`
  `onPlayerMove(@NotNull net.minestom.server.event.player.PlayerMoveEvent playerMoveEvent)`

  ### Methods inherited from class eu.mhsl.minenet.minigames.instance.game.minigame.Minigame

  `countdownStart, countdownUnload, getName, getScore, load, setTimeLimit, start, stop`

  ### Methods inherited from class eu.mhsl.minenet.minigames.instance.game.Game

  `checkAbandoned, onBlockBreak, onBlockPlace, onItemDrop, onPlayerLeave, onStart, onStop, onUnload, unload`

  ### Methods inherited from class eu.mhsl.minenet.minigames.instance.MineNetInstance

  `destroy, onPlayerJoin`

  ### Methods inherited from class net.minestom.server.instance.InstanceContainer

  `addSharedInstance, breakBlock, copy, createChunk, enableAutoChunkLoad, generator, getChunk, getChunkLoader, getChunks, getChunkSupplier, getLastBlockChangeTime, getSharedInstances, getSrcInstance, hasEnabledAutoChunkLoad, hasSharedInstances, isInVoid, loadChunk, loadOptionalChunk, placeBlock, refreshLastBlockChangeTime, retrieveChunk, saveChunksToStorage, saveChunkToStorage, saveInstance, setBlock, setChunkLoader, setChunkSupplier, setGenerator, tick, unloadChunk`

  ### Methods inherited from class net.minestom.server.instance.Instance

  `createTimePacket, eventNode, explode, explode, getBlock, getChunkAt, getChunkAt, getChunkEntities, getCreatures, getDimensionType, getEntities, getEntityTracker, getExperienceOrbs, getExplosionSupplier, getInstanceSpace, getNearbyEntities, getPlayers, getTime, getTimeRate, getTimeUpdate, getUniqueId, getWorldAge, getWorldBorder, isChunkLoaded, isChunkLoaded, isRegistered, loadChunk, loadOptionalChunk, pointers, scheduleNextTick, scheduler, sendBlockAction, setChunkGenerator, setExplosionSupplier, setRegistered, setTime, setTimeRate, setTimeUpdate, tagHandler, unloadChunk, updateSnapshot`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface net.kyori.adventure.audience.Audience

  `openBook, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, showTitle, stopSound`

  ### Methods inherited from interface net.minestom.server.instance.block.Block.Getter

  `getBlock, getBlock, getBlock`

  ### Methods inherited from interface net.minestom.server.instance.block.Block.Setter

  `setBlock`

  ### Methods inherited from interface net.kyori.adventure.audience.ForwardingAudience

  `filterAudience, forEachAudience, openBook, playSound, sendMessage, sendPlayerListFooter, sendPlayerListHeader`

  ### Methods inherited from interface net.minestom.server.adventure.audience.PacketGroupingAudience

  `audiences, clearTitle, hideBossBar, playSound, playSound, resetTitle, sendActionBar, sendGroupedPacket, sendMessage, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, stopSound`

  ### Methods inherited from interface net.kyori.adventure.pointer.Pointered

  `get, getOrDefault, getOrDefaultFrom`

  ### Methods inherited from interface net.minestom.server.tag.Taggable

  `getTag, hasTag, removeTag, setTag`

- ## Constructor Details

  - ### Stickfight

    public Stickfight()

- ## Method Details

  - ### onLoad

    protected void onLoad(CompletableFuture<Void> callback)
    Overrides:
      `onLoad` in class `Game`

  - ### onPlayerMove

    protected void onPlayerMove(@NotNull @NotNull net.minestom.server.event.player.PlayerMoveEvent playerMoveEvent)
    Overrides:
      `onPlayerMove` in class `Game`

  - ### getSpawn

    public net.minestom.server.coordinate.Pos getSpawn()
    Specified by:
      `getSpawn` in interface `Spawnable`
    Overrides:
      `getSpawn` in class `Game`